/* C code produced by gperf version 2.7 */
/* Command-line: gperf -otC7lS 1  */
struct entry { char* name; int value; };

#define TOTAL_KEYWORDS 11
#define MIN_WORD_LENGTH 5
#define MAX_WORD_LENGTH 14
#define MIN_HASH_VALUE 5
#define MAX_HASH_VALUE 19
/* maximum key range = 15, duplicates = 0 */

#ifdef __GNUC__
__inline
#endif
static unsigned int
hash (str, len)
     register const char *str;
     register unsigned int len;
{
  static const unsigned char asso_values[] =
    {
      20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
      20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
      20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
      20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
      20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
      20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
      20, 20, 20, 20, 20, 20,  0, 20,  5,  0,
       0, 10, 20,  0, 20, 20, 20, 20,  0, 20,
      20, 20,  0,  0,  0, 20, 20, 20, 20,  5,
      20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
      20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
      20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
      20, 20, 20, 20, 20, 20, 20, 20
    };
  return len + asso_values[str[len - 1]] + asso_values[str[0]];
}

#ifdef __GNUC__
__inline
#endif
const struct entry *
in_word_set (str, len)
     register const char *str;
     register unsigned int len;
{
  static const struct entry wordlist[] =
    {
      {"TIMER",		9},
      {"NO_GUI",		10},
      {"BASENAME",	4},
      {"INVISIBLE", 	8},
      {"SOUND_BITS",	1},
      {"FILE_FORMAT",	7},
      {"FORCE_ACTION",	6},
      {"SOUND_CHANNELS",	3},
      {"DUMMY",		11},
      {"SOUND_SPEED",	2},
      {"RECORDING",	5}
    };

  if (len <= MAX_WORD_LENGTH && len >= MIN_WORD_LENGTH)
    {
      register int key = hash (str, len);

      if (key <= MAX_HASH_VALUE && key >= MIN_HASH_VALUE)
        {
          register const struct entry *resword;

          switch (key - 5)
            {
              case 0:
                if (len == 5)
                  {
                    resword = &wordlist[0];
                    goto compare;
                  }
                break;
              case 1:
                if (len == 6)
                  {
                    resword = &wordlist[1];
                    goto compare;
                  }
                break;
              case 3:
                if (len == 8)
                  {
                    resword = &wordlist[2];
                    goto compare;
                  }
                break;
              case 4:
                if (len == 9)
                  {
                    resword = &wordlist[3];
                    goto compare;
                  }
                break;
              case 5:
                if (len == 10)
                  {
                    resword = &wordlist[4];
                    goto compare;
                  }
                break;
              case 6:
                if (len == 11)
                  {
                    resword = &wordlist[5];
                    goto compare;
                  }
                break;
              case 7:
                if (len == 12)
                  {
                    resword = &wordlist[6];
                    goto compare;
                  }
                break;
              case 9:
                if (len == 14)
                  {
                    resword = &wordlist[7];
                    goto compare;
                  }
                break;
              case 10:
                if (len == 5)
                  {
                    resword = &wordlist[8];
                    goto compare;
                  }
                break;
              case 11:
                if (len == 11)
                  {
                    resword = &wordlist[9];
                    goto compare;
                  }
                break;
              case 14:
                if (len == 9)
                  {
                    resword = &wordlist[10];
                    goto compare;
                  }
                break;
            }
          return 0;
        compare:
          {
            register const char *s = resword->name;

            if (*str == *s && !strcmp (str + 1, s + 1))
              return resword;
          }
        }
    }
  return 0;
}
